Texa DeskDevelopers

Texa Desk Application API · Account Agent bots

Update an agent bot

PATCH/api/v1/accounts/{account_id}/agent_bots/{id}

Update an agent bot's attributes

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idintegerrequired

The ID of the agentbot to be updated

Body application/json

namestring

The name of the agent bot

descriptionstring

The description of the agent bot

outgoing_urlstring

The webhook URL for the bot

avatarstring (binary)

Send the form data with the avatar image binary or use the avatar_url

avatar_urlstring

The url to a jpeg, png file for the agent bot avatar

bot_typeinteger

The type of the bot (0 for webhook)

bot_configobject

The configuration for the bot

Responses

200

Success

idnumber

ID of the agent bot

namestring

The name of the agent bot

descriptionstring

The description about the agent bot

thumbnailstring

The thumbnail of the agent bot

outgoing_urlstring

The webhook URL for the bot

bot_typestring

The type of the bot

bot_configobject

The configuration of the bot

account_idnumber

Account ID if it's an account specific bot

access_tokenstring

The access token for the bot

system_botboolean

Whether the bot is a system bot

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring